Agda-2.2.10: A dependently typed functional programming language and proof assistant

Agda.Syntax.Abstract.Pretty

Synopsis

- showA :: (Show c, ToConcrete a c, MonadTCM tcm) => a -> tcm String
- prettyA :: (Pretty c, ToConcrete a c, MonadTCM tcm) => a -> tcm Doc
- showATop :: (Show c, ToConcrete a c, MonadTCM tcm) => a -> tcm String
- prettyATop :: (Pretty c, ToConcrete a c, MonadTCM tcm) => a -> tcm Doc

# Documentation

showA :: (Show c, ToConcrete a c, MonadTCM tcm) => a -> tcm String

prettyA :: (Pretty c, ToConcrete a c, MonadTCM tcm) => a -> tcm Doc

showATop :: (Show c, ToConcrete a c, MonadTCM tcm) => a -> tcm String

Variant of `showA` which does not insert outermost parentheses.

prettyATop :: (Pretty c, ToConcrete a c, MonadTCM tcm) => a -> tcm Doc

Variant of `prettyA` which does not insert outermost parentheses.